using JSMR.Infrastructure.Integrations.DLSite.Serialization;
using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models;

public class ProductBonus
{
    [JsonPropertyName("title")]
    public string? Title { get; set; }

    [JsonPropertyName("description")]
    public string? Description { get; set; }

    [JsonPropertyName("dist_flg")]
    public string? DistributionFlag { get; set; }

    [JsonPropertyName("end_date")]
    [JsonConverter(typeof(NullableDateTimeConverterUsingDateTimeParse))]
    public DateTime? EndDate { get; set; }

    [JsonPropertyName("end_date_str")]
    public string? EndDateString { get; set; }
}